summaryrefslogtreecommitdiffstats
path: root/jjb/scripts/vpp/arm-drivers.sh
diff options
context:
space:
mode:
Diffstat (limited to 'jjb/scripts/vpp/arm-drivers.sh')
-rwxr-xr-xjjb/scripts/vpp/arm-drivers.sh26
1 files changed, 20 insertions, 6 deletions
diff --git a/jjb/scripts/vpp/arm-drivers.sh b/jjb/scripts/vpp/arm-drivers.sh
index cd0ff5cd1..2666bbe2b 100755
--- a/jjb/scripts/vpp/arm-drivers.sh
+++ b/jjb/scripts/vpp/arm-drivers.sh
@@ -18,6 +18,14 @@ echo "---> jjb/scripts/vpp/arm-drivers.sh"
set -euxo pipefail
line="*************************************************************************"
+# Don't build anything if this is a merge job being run when
+# the git HEAD id is not the same as the Gerrit New Revision id.
+if [[ ${JOB_NAME} == *merge* ]] && [ -n "${GERRIT_NEWREV:-}" ] &&
+ [ "$GERRIT_NEWREV" != "$GIT_COMMIT" ] ; then
+ echo -e "\n$line\nSkipping build. A newer patch has been merged.\n$line\n"
+ exit 0
+fi
+
OS_ID=$(grep '^ID=' /etc/os-release | cut -f2- -d= | sed -e 's/\"//g')
OS_VERSION_ID=$(grep '^VERSION_ID=' /etc/os-release | cut -f2- -d= | sed -e 's/\"//g')
OS_ARCH=$(uname -m)
@@ -35,21 +43,27 @@ make_deps() {
BUILD_ERROR="FAILED 'make install-ext-deps'"
return
fi
+ if [ -f extras/scripts/build_static_vppctl.sh ]; then
+ if ! extras/scripts/build_static_vppctl.sh ; then
+ BUILD_ERROR="FAILED 'extras/scripts/build_static_vppctl.sh'"
+ return
+ fi
+ fi
}
-make_build_release_arm_driver() {
+make_pkg_verify_arm_driver() {
vpp_platform="$1"
git clean -fdx || true
- if ! make UNATTENDED=yes build-release VPP_PLATFORM="$vpp_platform"; then
- BUILD_ERROR="FAILED 'make build-release VPP_PLATFORM=$vpp_platform'"
+ if ! make UNATTENDED=yes pkg-verify VPP_PLATFORM="$vpp_platform"; then
+ BUILD_ERROR="FAILED 'make pkg-verify VPP_PLATFORM=$vpp_platform'"
return
fi
}
if [ "${DRYRUN,,}" != "true" ] ; then
make_deps
- make_build_release_arm_driver cn913x
- make_build_release_arm_driver octeon9
- make_build_release_arm_driver octeon10
+ make_pkg_verify_arm_driver cn913x
+ make_pkg_verify_arm_driver octeon9
+ make_pkg_verify_arm_driver octeon10
fi
if [ -n "$BUILD_ERROR" ] ; then
BUILD_RESULT="$BUILD_ERROR"